VariableRounds< D, N, M > Class Template Reference

Inherited by algorithms with variable number of rounds. More...

## Static Public Member Functions

static unsigned int | StaticGetDefaultRounds (size_t keylength)
| The default number of rounds for the algorithm based on key length provided by a static function. More...

## Static Public Attributes

static const int | DEFAULT_ROUNDS = D
| The default number of rounds for the algorithm provided as a constant.
static const int | MIN_ROUNDS = N
| The minimum number of rounds for the algorithm provided as a constant.
static const int | MAX_ROUNDS = M
| The maximum number of rounds for the algorithm provided as a constant.

## Detailed Description

### template<unsigned int D, unsigned int N = 1, unsigned int M = INT_MAX>
class VariableRounds< D, N, M >

Inherited by algorithms with variable number of rounds.

Template Parameters

  D | Default number of rounds
  N | Minimum number of rounds
  M | Maximum number of rounds

Definition at line 64 of file seckey.h.

## Member Function Documentation

## StaticGetDefaultRounds()

template<unsigned int D, unsigned int N = 1, unsigned int M = INT_MAX>

static unsigned int VariableRounds< D, N, M >::StaticGetDefaultRounds | ( | size_t | keylength | ) |

inline static

The default number of rounds for the algorithm based on key length provided by a static function.

Parameters

  keylength | the size of the key, in bytes

keylength is unused in the default implementation.

Definition at line 77 of file seckey.h.

The documentation for this class was generated from the following file:

- seckey.h